Bug 698552 - test in taint.t is not correct
test in taint.t is not correct
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Petr Pisar
Martin Kyral
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 04:21 EDT by Marcela Mašláňová
Modified: 2013-11-20 23:40 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-5.10.1-133.el6
Doc Type: Bug Fix
Doc Text:
Cause: Running tests suite at build-time. Consequence: Tests for CVE-2011-1487 could pass even if the CVE-2011-1487 vulnerability has not been fixed properly. Fix: Internal tests in t/op/taint.t have been corrected to check taintedness indeed. Result: Internal test suite run at build-time would fail if CVE-2011-1487 had not been fixed properly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tain.t patch fixes previous incorrect testing (1002 bytes, patch)
2011-04-21 04:25 EDT, Marcela Mašláňová
no flags Details | Diff

  None (edit)
Description Marcela Mašláňová 2011-04-21 04:21:30 EDT
People from Debian were porting our patch from Fedora 13 for perl-5.10.1. They found out that test part is missing tainted part, therefore we need patch the test part in next update.

The security issue was fixed and tested, so it's only matter of automatic test-suite.
Comment 2 Marcela Mašláňová 2011-04-21 04:25:31 EDT
Created attachment 493741 [details]
tain.t patch fixes previous incorrect testing
Comment 3 Petr Pisar 2011-04-21 06:10:42 EDT
(In reply to comment #0)
> People from Debian were porting our patch from Fedora 13 for perl-5.10.1.

The our patch is patch for bug #692862.
Comment 4 RHEL Product and Program Management 2011-07-05 20:06:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 Petr Pisar 2013-06-05 07:29:59 EDT
The difference is:

--- a/t/op/taint.t
+++ b/t/op/taint.t
@@ -1320,13 +1320,13 @@ foreach my $ord (78, 163, 256) {
     # [perl #87336] lc/uc(first) failing to taint the returned string
     my $source = "foo$TAINT";
     my $dest = lc $source;
-    test $dest, "lc(tainted) taints its return value";
+    test tainted $dest, "lc(tainted) taints its return value";
     $dest = lcfirst $source;
-    test $dest, "lcfirst(tainted) taints its return value";
+    test tainted $dest, "lcfirst(tainted) taints its return value";
     $dest = uc $source;
-    test $dest, "uc(tainted) taints its return value";
+    test tainted $dest, "uc(tainted) taints its return value";
     $dest = ucfirst $source;
-    test $dest, "ucfirst(tainted) taints its return value";
+    test tainted $dest, "ucfirst(tainted) taints its return value";
 }
 
 # This may bomb out with the alarm signal so keep it last


This will be fixed by editing perl-5.10.1-lc_launders_taint.patch.
Comment 14 errata-xmlrpc 2013-11-20 23:40:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1534.html

Note You need to log in before you can comment on or make changes to this bug.